### Method

# GUPnP Context host_path_for_agent

since: 0.14.0

#### Declaration [src]

    gboolean
    gupnp_context_host_path_for_agent (
      GUPnPContext* context,
      const char* local_path,
      const char* server_path,
      GRegex* user_agent
    )

#### Description [src]

Use this method to serve different local path to specific user-agent(s). The path `server_path` must already be hosted by `context`.

Available since: 0.14.0

#### Parameters

`local_path`

  Type: `const char*`

  Path to the local file or folder to be hosted.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`server_path`

  Type: `const char*`

  Web server path already being hosted.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`user_agent`

  Type: `GRegex`

  The user-agent as a `GRegex`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` otherwise.